<?php 
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos - Tela de login";
$sessao = new sessao();
$anoCorrente=$sessao->getVar('anocorrente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo(" Operador: $nomeOperador cod_labo= $idLabo<br>");
$anoAtual=date("Y");
 
switch ($tela):
    case 'listar':
		$sessao = new sessao();
		$anoCorrente=$sessao->getVar('anocorrente');
		$senhaCli=$sessao->getVar('iduser');
		$idLabo=$sessao->getVar('idLabo');
        echo '<h4>TROCAR O ANO. Acessar ano anterior para realizar determinadas tarefas.</h4>';	
			
		//so para trocar o ano
		if(isset($_POST['trocarano'])):
	        $anoAcessado=$_POST['ano_acessado'];

			if($anoAcessado != $anoCorrente):
			    echo("Salvou ano corrente: $anoAcessado Assim que clicar no menu, vai mudar o ano corrente.<br>");
				$sessao = new sessao();
				$sessao->setVar('anocorrente',$anoAcessado);
				$anoCorrente=$anoAcessado;
				$sessao->setVar('amostraLong', 0);
            else:
			  printf("Ano não foi trocado. Nada foi alterado.");
			endif;//testa se o ano>0
        endif;//fim do isset trocar ano


        ?>
		<form class="userform" method="post" action="">
        <fieldset>
        <legend>TROCAR O ANO.</legend>
       <hr>

<!--Cria uma teabelinha so para o ano pois o anos nao vai gravar por
causa que se ele gravasse o ano a amostra sempre iria para zero e ia ser chato
-->
<hr>
O ano muda para ano calendário toda vez que fizer login, pois não é persistente. 
<table>
        <tr>
	    <td>
		Ano corrente</td>
		<td>
   		  <select  name="ano_acessado" >
          <option><?php echo $anoCorrente;?></option>
		  <?php
		  for($ano=$anoAtual;$ano>=2013;$ano--):
             echo("<option> $ano </option>");			  
		  endfor
          ?>
		  </select>
		</td>		
        <td><input type="submit" name="trocarano" value="BOTÃO TROCA ANO(Só clique se precisar trabalhar dados de ano anterior.)" /></td>
		</tr> 
        </tbody>
        </table>
        Ao trocar o ano é possível imprimir documentos do ano anterior, e outros controles<br>
		Se trata de uma operação que é geralmente só necessária na transição do ANO NOVO <br>
		Evite criar documentos ou registrar amostras com data retroativa pois isso caracteriza burla.<br>

        <hr>

	
        </fieldset>
        <td><input type="hidden" name="id" size="1"  value="<?php echo $id;?>" </td>		

        </form>
	<?php
    break;



	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>